<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "accmast";
$formname = "Member Print";
$file = "customer_print.php";
$mgrpcode = "010";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
$zroot = $_SESSION["zdir"];
$zcomp = $_SESSION["comp_" . $dbname];
$fseries = $_SESSION["society_" . $dbname];
$getcomp = mysqli_query($conn, "SELECT * FROM $zroot.`company` where `code` = '$fseries'")or die(mysqli_error($conn));
$comp = mysqli_fetch_array($getcomp);

mysqli_select_db($conn, $zdb);

$name = $_POST['name'];
$country = $_POST['country'];
$city = $_POST['city'];

$namecond = "";
$countrycond = "";
$citycond = "";

if (!empty($name)) {
    $namecond = " AND `accode`='$name' ";
}
if (!empty($country)) {
    $countrycond = " AND `country` LIKE '%$country%' ";
}
if (!empty($city)) {
    $citycond = " AND `city` LIKE '%$city%' ";
}
$getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode`='$mgrpcode' and series = '$fseries' $namecond $citycond $countrycond ")or die(mysqli_error($conn));

if (isset($_POST["view"])) {
    include("includes/linkshead.php");
    ?>
    <script src="MyScript/item.js" type="text/javascript"></script>
    </head>
    <body>
        <div class="container">
            <?php include("includes/head_rep.php"); ?>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-condensed table-bordered">
                        <tr class="mySearchTr">
                            <th>Sr</th>
                            <th>Name</th>
                            <th>Phase</th>
                            <th>Building</th>
                            <th>Floor</th>
                            <th>Flat No.</th>
    <!--                            <th>City</th>
                            <th>Pin</th>-->
                            <th>Mobile</th>
                            <!--<th>Email</th>-->
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {

                            $name = $pmain['name'];
                            $block = $pmain['block'];
                            $wing = $pmain['wing'];
                            $floor = $pmain['floor'];
                            $flatno = $pmain['flatno'];
                            $city = $pmain['city'];
                            $pin = $pmain['pin'];
                            $mobile = $pmain['mobile'];
                            $email = $pmain['email'];

                            Echo "<tr>";
                            Echo "<td>$ctr</td>";
                            Echo "<td>$name</td>";
                            Echo "<td>$block </td>";
                            Echo "<td>$wing</td>";
                            Echo "<td>$floor</td>";
                            Echo "<td>$flatno</td>";
//                            Echo "<td>$city</td>";
//                            Echo "<td>$pin</td>";
                            Echo "<td>$mobile</td>";
//                            Echo "<td>$email</td>";
                            Echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?
}
if (isset($_POST["excel"])) {
    $contents .= "Sr,Name,Phase,Building,Floor,Flat No.,Mobile\n";


    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {

        $name = $pmain['name'];
        $block = $pmain['block'];
        $wing = $pmain['wing'];
        $floor = $pmain['floor'];
        $flatno = $pmain['flatno'];
        $city = $pmain['city'];
        $pin = $pmain['pin'];
        $mobile = $pmain['mobile'];
        $email = $pmain['email'];

        $contents .= "$ctr" . ",";
        $contents .= "$name" . ",";
        $contents .= "$block" . ",";
        $contents .= "$wing" . ",";
        $contents .= "$floor" . ",";
        $contents .= "$flatno" . ",";
        $contents .= "$mobile" . "\n";
        $ctr++;
    }

    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}

if (isset($_POST["subpdf"])) {
    $name = $_POST[name];
    $country = $_POST[country];
    $city = $_POST[city];

    $namecond = "";
    $countrycond = "";
    $citycond = "";

    if (!empty($name)) {
        $namecond = " AND `accode`='$name' ";
    }
    if (!empty($country)) {
        $countrycond = " AND `country` LIKE '%$country%' ";
    }
    if (!empty($city)) {
        $citycond = " AND `city` LIKE '%$city%' ";
    }
    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode`='$mgrpcode' $namecond $citycond $countrycond ")or die(mysqli_error($conn));

    require("library/fpdf/fpdf.php");

    class pdf extends fpdf {

        function Footer() {

//Position at 1.5 cm from bottom

            $this->SetY(-15);

//Arial italic 8

            $this->SetFont('Arial', 'I', 8);

//Page number

            $this->Cell(0, 10, 'Page ' . $this->PageNo() . '/{nb}', 0, 0, 'C');
        }

    }

    $pdf = new pdf('L', 'mm', 'A4');

    $pdf->AliasNbPages();

    $pdf->AddPage();
    $pdf->SetFont('Arial', '', 12);
    $pdf->SetFillColor(210, 204, 204);
    $pdf->SetTextColor(000, 000, 000);
    if ($dtype == 1) {
        $rtype = " - Summary";
    } elseif ($dtype == 2) {
        $rtype = " - Detail";
    } elseif ($dtype == '') {
        $rtype = '';
    }
    if ($mfdt != '') {
        $mfdt = "From Date - $mfdt";
    }if ($mtdt != '') {
        $mtdt = "To Date - $mtdt";
    }
    $pdf->MultiCell(278, 7, "$comp[compname]\n$comp[address]\n$formname $rtype " . "                                                                                                   " . "Report Date-" . Date("d-m-Y") . "\n" . $mfdt . "          " . $mtdt, Alignment . LEFT, false, 1, 0, '', 1);
    $pdf->SetFont('Arial', '', 1, 0);

    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetFont('Arial', 'I', 10);
    $pdf->SetTextColor(238, 61, 111);
    $pdf->SetFillColor(249, 244, 245);
    $pdf->Cell(278, 7, "Date - " . Date("d-m-y"), 1, 0, '', 1, 0, 'L');
    $pdf->Ln();
    $pdf->Cell(278, 7, "Print - " . $formname, 1, 0, '', 1, 0, 'L');
    $pdf->SetFont('Arial', '', 1, 0);

    $pdf->SetTextColor(0, 0, 0);
    $pdf->Ln();

    $pdf->SetFont('Arial', 'I', 10);
    $pdf->SetTextColor(000, 000, 000);
    $pdf->SetFillColor(239, 228, 176);
    $pdf->Cell(18, 7, "Sr", 1, 0, '', 1);
    $pdf->Cell(80, 7, "Name", 1, 0, '', 1);
    $pdf->Cell(30, 7, "Block", 1, 0, '', 1);
    $pdf->Cell(20, 7, "Wing", 1, 0, '', 1);
    $pdf->Cell(30, 7, "Floor", 1, 0, '', 1);
    $pdf->Cell(20, 7, "Flat No.", 1, 0, '', 1);
    $pdf->Cell(30, 7, "City", 1, 0, '', 1);
    $pdf->Cell(30, 7, "Pin", 1, 0, '', 1);
    $pdf->Cell(20, 7, "Tel", 1, 0, '', 1);
    $pdf->SetFont('Arial', '', 1, 0);

    $pdf->SetTextColor(0, 0, 0);
    $pdf->Ln();

    $ctr = 0;
    while ($pmain = mysqli_fetch_array($getpmain)) {
        $name = $pmain['name'];
        $block = $pmain['block'];
        $wing = $pmain['wing'];
        $floor = $pmain['floor'];
        $flatno = $pmain['flatno'];
        $city = $pmain['city'];
        $pin = $pmain['pin'];
        $tel = $pmain['tel'];

        $ctr++;
        $pdf->SetFont('Arial', '', 10);
        $pdf->Cell(18, 7, "$ctr", 1);
        $pdf->Cell(80, 7, "$name", 1);
        $pdf->Cell(30, 7, "$block", 1);
        $pdf->Cell(20, 7, "$wing", 1);
        $pdf->Cell(30, 7, "$floor", 1);
        $pdf->Cell(20, 7, "$flatno", 1);
        $pdf->Cell(30, 7, "$city", 1);
        $pdf->Cell(30, 7, "$pin", 1);
        $pdf->Cell(20, 7, "$tel", 1);

        $pdf->Ln();
    }
    $pdf->Output("Member.pdf", "D");
}
?>

